summaryrefslogtreecommitdiffstats
path: root/testing/arpalert/arpalert.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/arpalert/arpalert.initd')
-rwxr-xr-xtesting/arpalert/arpalert.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/testing/arpalert/arpalert.initd b/testing/arpalert/arpalert.initd
new file mode 100755
index 000000000..2567dbab1
--- /dev/null
+++ b/testing/arpalert/arpalert.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting arpalert"
+ start-stop-daemon --quiet --start --pidfile /var/run/arpalert.lock --exec /usr/sbin/arpalert -- -d
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping arpalert"
+ start-stop-daemon --quiet --stop --pidfile /var/run/arpalert.lock
+ eend $?
+}
+